Open CASCADE Technology: IGESSelect_SignColor Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESSelect_SignColor Class Reference

Gives Color attached to an entity Several forms are possible, according to <mode> 1 : number : "Dnn" for entity, "Snn" for standard, "(none)" for 0 2 : name : Of standard color, or of the color entity, or "(none)" (if the color entity has no name, its label is taken) 3 : RGB values, form R:nn,G:nn,B:nn 4 : RED value : an integer 5 : GREEN value : an integer 6 : BLUE value : an integer Other computable values can be added if needed : CMY values, Percentages for Hue, Lightness, Saturation. More...

`#include <IGESSelect_SignColor.hxx>`

Inheritance diagram for IGESSelect_SignColor:
[legend]

## Public Member Functions
| IGESSelect_SignColor (const Standard_Integer mode)
| Creates a SignColor mode : see above for the meaning modes 4,5,6 give a numeric integer value Name is initialised according to the mode. More...
Standard_CString | Value (const Handle< Standard_Transient > &ent, const Handle< Interface_InterfaceModel > &model) const
| Returns the value (see above) More...
Public Member Functions inherited from IFSelect_Signature
void | SetIntCase (const Standard_Boolean hasmin, const Standard_Integer valmin, const Standard_Boolean hasmax, const Standard_Integer valmax)
| Sets the information data to tell "integer cases" with possible min and max values To be called when creating. More...
Standard_Boolean | IsIntCase (Standard_Boolean &hasmin, Standard_Integer &valmin, Standard_Boolean &hasmax, Standard_Integer &valmax) const
| Tells if this Signature gives integer values and returns values from SetIntCase if True. More...
void | AddCase (const Standard_CString acase)
| Adds a possible case To be called when creating, IF the list of possible cases for Value is known when starting For instance, for CDL types, rather do not fill this, but for a specific enumeration (such as a status), can be used. More...
Handle< TColStd_HSequenceOfAsciiString > | CaseList () const
| Returns the predefined list of possible cases, filled by AddCase Null Handle if no predefined list (hence, to be counted) Useful to filter on really possible vase, for instance, or for a help. More...
Standard_CString | Name () const
| Returns an identification of the Signature (a word), given at initialization time Returns the Signature for a Transient object. It is specific of each sub-class of Signature. For a Null Handle, it should provide "" It can work with the model which contains the entity. More...
TCollection_AsciiString | Label () const
| The label of a Signature uses its name as follow : "Signature : <name>". More...
virtual Standard_Boolean | Matches (const Handle< Standard_Transient > &ent, const Handle< Interface_InterfaceModel > &model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined. More...
Public Member Functions inherited from Interface_SignType
TCollection_AsciiString | Text (const Handle< Standard_Transient > &ent, const Handle< Standard_Transient > &context) const
| Returns an identification of the Signature (a word), given at initialization time Specialised to consider context as an InterfaceModel. More...
Public Member Functions inherited from MoniTool_SignText
virtual TCollection_AsciiString | TextAlone (const Handle< Standard_Transient > &ent) const
| Gives a text as a signature for a transient object alone, i.e. without defined context. By default, calls Text with undefined context (Null Handle) and if empty, then returns DynamicType. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from IFSelect_Signature
static Standard_Boolean | MatchValue (const Standard_CString val, const TCollection_AsciiString &text, const Standard_Boolean exact)
| Default procedure to tell if a value <val> matches a text with a criterium <exact>. <exact> = True requires equality, else only contained (no reg-exp) More...
static Standard_CString | IntValue (const Standard_Integer val)
| This procedure converts an Integer to a CString It is a convenient way when the value of a signature has the form of a simple integer value The value is to be used immediately (one buffer only, no copy) More...
Static Public Member Functions inherited from Interface_SignType
static Standard_CString | ClassName (const Standard_CString typnam)
| From a CDL Type Name, returns the Class part (package dropped) WARNING : buffered, to be immediately copied or printed. More...
Protected Member Functions inherited from IFSelect_Signature
| IFSelect_Signature (const Standard_CString name)
| Initializes a Signature with its name. More...
Protected Attributes inherited from IFSelect_Signature
TCollection_AsciiString | thename

## Detailed Description

Gives Color attached to an entity Several forms are possible, according to <mode> 1 : number : "Dnn" for entity, "Snn" for standard, "(none)" for 0 2 : name : Of standard color, or of the color entity, or "(none)" (if the color entity has no name, its label is taken) 3 : RGB values, form R:nn,G:nn,B:nn 4 : RED value : an integer 5 : GREEN value : an integer 6 : BLUE value : an integer Other computable values can be added if needed : CMY values, Percentages for Hue, Lightness, Saturation.

## Constructor & Destructor Documentation

IGESSelect_SignColor::IGESSelect_SignColor | ( | const Standard_Integer | mode | ) |

Creates a SignColor mode : see above for the meaning modes 4,5,6 give a numeric integer value Name is initialised according to the mode.

## Member Function Documentation

Standard_CString IGESSelect_SignColor::Value | ( | const Handle< Standard_Transient > & | ent,
|  | const Handle< Interface_InterfaceModel > & | model
| ) |  | const
| virtual

Returns the value (see above)

Implements Interface_SignType.

The documentation for this class was generated from the following file:

- IGESSelect_SignColor.hxx